NX Open C++ Reference Guide
|
Builder for creating routing linear paths. More...
Public Member Functions | |
NXOpen::Routing::ControlPoint * | AddPreviewControlPoint (const NXOpen::Point3d &location) |
Add a new control point to the path. | |
NXOpen::Routing::ElbowSnapSettings * | ElbowSnapSettings () |
Returns the elbow snapping settings for determining location of control points as the user drags their mouse. | |
NXOpen::Routing::ControlPoint * | GetLastControlPoint () |
Returns the last control point in the path. | |
NXOpen::Routing::ISegment * | GetParentSegmentOfEccentricSegment () |
Parent segment. | |
NXOpen::Routing::LinearPathSettings * | LinearPathSettings () |
Returns the settings that determine what constraints to apply to the new path. | |
NXOpen::Routing::PathStockBuilder * | PathStockBuilder () |
Returns the builder for assigning stock to the new path. | |
void | RemoveLastNonPreviewControlPoint () |
Removes the last fully-defined control point in the path. | |
void | SetControlPointDefiningObject (NXOpen::Routing::ControlPoint *previewRcp, const NXOpen::Point3d &position, NXOpen::NXObject *object) |
Fully defines a preview control point. | |
void | SetControlPointDefiningPoint (NXOpen::Routing::ControlPoint *previewRcp, NXOpen::Point *point) |
Fully defines a preview control point using the given point. | |
void | SetElbowSnapSettings (NXOpen::Routing::ElbowSnapSettings *snapSettings) |
Sets the elbow snapping settings for determining location of control points as the user drags their mouse. | |
void | SetIsEccentricModeSelected (bool isEccentricModeSelected) |
Set the boolean value specifies that Eccentric mode selected or not Created in NX8.0.0. | |
void | SetIsNewControlPointRequired (bool isNewControlPointRequired) |
Set the boolean value specifies that new control point required or not Created in NX8.0.0. | |
void | SetLinearPathSettings (NXOpen::Routing::LinearPathSettings *settingsBuilder) |
Sets the settings that determine what constraints to apply to the new path. | |
void | SetParentSegmentOfEccentricSegment (NXOpen::Routing::ISegment *parentSegment) |
Created in NX8.0.0. | |
void | SetPathStockBuilder (NXOpen::Routing::PathStockBuilder *stockBuilder) |
Sets the builder for assigning stock to the new path. | |
void | SettingChanged () |
Notifies the builder that some routing preferences have changed, and that the builder (and it's associated builders) must update their values to refelect those changes. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating routing linear paths.
These paths can include constrained line segments, bend corners and elbows. This fuctionality can only be used with the Assemblies Positioning functionality. The work part must have been converted to use Assemblies Positioning using the Convert Mating Conditions tool.
To create a control point (and it's associated segment) first create a preview control point, then define the control point using either a smart point (Routing::LinearPathBuilder::SetControlPointDefiningPoint ), or some other object (Routing::LinearPathBuilder::SetControlPointDefiningObject ).
To create a new instance of this class, use Routing::RouteManager::CreateLinearPathBuilder
Default values.
Property | Value |
---|---|
5.0 | |
True | |
True |
Created in NX5.0.0.
NXOpen::Routing::ControlPoint* NXOpen::Routing::LinearPathBuilder::AddPreviewControlPoint | ( | const NXOpen::Point3d & | location | ) |
Add a new control point to the path.
This control point is considered to be a preview control point to show what the path will look like interactively. This control point will be deleted when the commit method is invoked unless the rcp has been fully defined.
location | location |
NXOpen::Routing::ElbowSnapSettings* NXOpen::Routing::LinearPathBuilder::ElbowSnapSettings | ( | ) |
Returns the elbow snapping settings for determining location of control points as the user drags their mouse.
Only useful in the UI.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Routing::ControlPoint* NXOpen::Routing::LinearPathBuilder::GetLastControlPoint | ( | ) |
Returns the last control point in the path.
NXOpen::Routing::ISegment* NXOpen::Routing::LinearPathBuilder::GetParentSegmentOfEccentricSegment | ( | ) |
Parent segment.
NXOpen::Routing::LinearPathSettings* NXOpen::Routing::LinearPathBuilder::LinearPathSettings | ( | ) |
Returns the settings that determine what constraints to apply to the new path.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Routing::PathStockBuilder* NXOpen::Routing::LinearPathBuilder::PathStockBuilder | ( | ) |
Returns the builder for assigning stock to the new path.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::LinearPathBuilder::RemoveLastNonPreviewControlPoint | ( | ) |
Removes the last fully-defined control point in the path.
Also removes any preview control points.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::LinearPathBuilder::SetControlPointDefiningObject | ( | NXOpen::Routing::ControlPoint * | previewRcp, |
const NXOpen::Point3d & | position, | ||
NXOpen::NXObject * | object | ||
) |
Fully defines a preview control point.
The preview control point's location is set to the given position, and the control point is constrained to the given object (depending on the linear path settings).
A control point may only be defined once.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
previewRcp | Must be a control point created by Routing::LinearPathBuilder::AddPreviewControlPoint |
position | position |
object | NULL allowed. |
void NXOpen::Routing::LinearPathBuilder::SetControlPointDefiningPoint | ( | NXOpen::Routing::ControlPoint * | previewRcp, |
NXOpen::Point * | point | ||
) |
Fully defines a preview control point using the given point.
The control point is not made associative directly to the input point. The control point is made associative (depending on the linear path settings) to the objects that the input point is associative to.
A control point may only be defined once.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
previewRcp | Must be a control point created by Routing::LinearPathBuilder::AddPreviewControlPoint |
point | NULL not allowed. |
void NXOpen::Routing::LinearPathBuilder::SetElbowSnapSettings | ( | NXOpen::Routing::ElbowSnapSettings * | snapSettings | ) |
Sets the elbow snapping settings for determining location of control points as the user drags their mouse.
Only useful in the UI.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
snapSettings | snap settings |
void NXOpen::Routing::LinearPathBuilder::SetIsEccentricModeSelected | ( | bool | isEccentricModeSelected | ) |
Set the boolean value specifies that Eccentric mode selected or not
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
isEccentricModeSelected | iseccentricmodeselected |
void NXOpen::Routing::LinearPathBuilder::SetIsNewControlPointRequired | ( | bool | isNewControlPointRequired | ) |
Set the boolean value specifies that new control point required or not
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
isNewControlPointRequired | isnewcontrolpointrequired |
void NXOpen::Routing::LinearPathBuilder::SetLinearPathSettings | ( | NXOpen::Routing::LinearPathSettings * | settingsBuilder | ) |
Sets the settings that determine what constraints to apply to the new path.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
settingsBuilder | settings builder |
void NXOpen::Routing::LinearPathBuilder::SetParentSegmentOfEccentricSegment | ( | NXOpen::Routing::ISegment * | parentSegment | ) |
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
parentSegment | parentsegment |
void NXOpen::Routing::LinearPathBuilder::SetPathStockBuilder | ( | NXOpen::Routing::PathStockBuilder * | stockBuilder | ) |
Sets the builder for assigning stock to the new path.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
stockBuilder | stock builder |
void NXOpen::Routing::LinearPathBuilder::SettingChanged | ( | ) |
Notifies the builder that some routing preferences have changed, and that the builder (and it's associated builders) must update their values to refelect those changes.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")